### Class

# Gimp DrawableFilter

#### Description [src]

    final class Gimp.DrawableFilter : GObject.Object
    {
      /* No available fields */
    }

Operations on drawable filters: creation, editing.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gimp_drawable_filter_new

Create a new drawable filter.

since: 3.0

#### Functions

###### gimp_drawable_filter_get_by_id

No description available.

since: 3.0

###### gimp_drawable_filter_id_is_valid

Returns `TRUE` if the drawable filter ID is valid.

since: 3.0

###### gimp_drawable_filter_operation_get_available

Get a list of all available GEGL operation names for drawable filters.

since: 3.2

###### gimp_drawable_filter_operation_get_details

Get information about a GEGL operation.

since: 3.2

###### gimp_drawable_filter_operation_get_pspecs

Get information for all parameters of a GEGL operation.

since: 3.2

#### Instance methods

###### gimp_drawable_filter_delete

Delete a drawable filter.

since: 3.0

###### gimp_drawable_filter_get_blend_mode

Get the blending mode of the specified filter.

since: 3.0

###### gimp_drawable_filter_get_config

Get the `GimpConfig` with properties that match `filter`‘s arguments.

since: 3.0

###### gimp_drawable_filter_get_id

No description available.

since: 3.0

###### gimp_drawable_filter_get_name

Get a drawable filter’s name.

since: 3.0

###### gimp_drawable_filter_get_opacity

Get the opacity of the specified filter.

since: 3.0

###### gimp_drawable_filter_get_operation_name

Get a drawable filter’s operation name.

since: 3.0

###### gimp_drawable_filter_get_visible

Get the visibility of the specified filter.

since: 3.0

###### gimp_drawable_filter_is_valid

Returns TRUE if the `drawable_filter` is valid.

since: 3.0

###### gimp_drawable_filter_set_aux_input

When a filter has one or several auxiliary inputs, you can use this function to set them.

since: 3.0

###### gimp_drawable_filter_set_blend_mode

This procedure sets the blend mode of `filter`.

since: 3.0

###### gimp_drawable_filter_set_opacity

This procedure sets the opacity of `filter` on a range from 0.0 (transparent) to 1.0 (opaque).

since: 3.0

###### gimp_drawable_filter_set_visible

Set the visibility of the specified filter.

since: 3.0

###### gimp_drawable_filter_update

Syncs the `GimpConfig` with properties that match `filter`‘s arguments. This procedure updates the settings of the specified filter all at once, including the arguments of the `GimpDrawableFilterConfig` obtained with `gimp_drawable_filter_get_config()` as well as the blend mode and opacity.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.DrawableFilter:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpDrawableFilterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.